import java.util.Scanner;

public class TestLoanClass {
  /** Metoda main */
  public static void main(String[] args) {
    // Tworzenie obiektu typu Scanner
    Scanner input = new Scanner(System.in);

    // Wprowadzanie rocznego oprocentowania
    System.out.print(
      "Wpisz roczne oprocentowanie, na przykład 8.25: ");
	double annualInterestRate = input.nextDouble();

    // Wpisz liczbę lat
    System.out.print("Wpisz liczbę lat jako liczbę całkowitą: ");
	int numberOfYears = input.nextInt();

    // Wprowadzanie kwoty pożyczki
    System.out.print("Wpisz kwotę pożyczki, na przykład 120000.95: ");
    double loanAmount = input.nextDouble();

    // Tworzenie obiektu typu Loan
    Loan loan =
      new Loan(annualInterestRate, numberOfYears, loanAmount);

    // Wyświetlanie daty utworzenia kredytu, miesięcznej raty i łącznej kwoty do spłaty
    System.out.printf("Kredyt utworzono %s\n" +
      "Miesięczna rata wynosi %.2f\nŁączna kwota do spłaty wynosi %.2f\n",
      loan.getLoanDate().toString(), loan.getMonthlyPayment(), 
      loan.getTotalPayment());
  }
}
